Uploaded image for project: 'Qt Creator'
  1. Qt Creator
  2. QTCREATORBUG-18811

Qt 5.6.2 does not work with the current Android SDK

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P0: Blocker
    • Resolution: Done
    • Affects Version/s: Qt Creator 4.3.1, Qt Creator 4.4.0-rc1
    • Fix Version/s: Qt Creator 4.4.0
    • Component/s: Android Support
    • Labels:
      None

      Description

      Android SDK version 25.3 removed support for ant. Qt 5.6 does not support the new gradle build system. To develop using Qt 5.6 now requires getting an old SDK version, which is not completely trivial.

      Of course, if you already have a working Qt/Android setup, it will continue working. This only affects new installations.

        Attachments

          Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

            Activity

              People

              Assignee:
              taipan BogDan Vatra
              Reporter:
              tvete Paul Olav Tvete
              Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Gerrit Reviews

                  There are no open Gerrit changes